### Enumeration

# Fwupd RequestKind

unstable since: 2.0

#### Declaration

    enum Fwupd.RequestKind

#### Description [src]

The kind of request we are asking of the user.

Available since: 2.0

#### Members

`FWUPD_REQUEST_KIND_UNKNOWN`

  Unknown kind.

  - Value: `0`
  - Nickname: `None`
  - Available since: 2.0
`FWUPD_REQUEST_KIND_POST`

  After the update.

  - Value: `1`
  - Nickname: `None`
  - Available since: 2.0
`FWUPD_REQUEST_KIND_IMMEDIATE`

  Immediately.

  - Value: `2`
  - Nickname: `None`
  - Available since: 2.0